fop 1.1

## org.apache.fop.render.pdf.extensions
Class PDFExtensionHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.fop.render.pdf.extensions.PDFExtensionHandler

All Implemented Interfaces:
  ContentHandlerFactory.ObjectSource, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class PDFExtensionHandler

extends org.xml.sax.helpers.DefaultHandler
implements ContentHandlerFactory.ObjectSource

ContentHandler (parser) for restoring PDF extension objects from XML.

Field Summary
`protected static org.apache.commons.logging.Log` `log` Logger instance

Constructor Summary
`PDFExtensionHandler()`

Method Summary
`void` `endDocument()`
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`java.lang.Object` `getObject()`
`void` `setObjectBuiltListener(ContentHandlerFactory.ObjectBuiltListener listener)` Set a listener which gets notified when the object is fully built.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  Logger instance

Constructor Detail

### PDFExtensionHandler

    public PDFExtensionHandler()

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### getObject

    public java.lang.Object getObject()

  Specified by:
    `getObject` in interface `ContentHandlerFactory.ObjectSource`
  Returns:
    the object parsed from the SAX stream (call valid after parsing)

### setObjectBuiltListener

    public void setObjectBuiltListener(ContentHandlerFactory.ObjectBuiltListener listener)

  Set a listener which gets notified when the object is fully built.

  Specified by:
    `setObjectBuiltListener` in interface `ContentHandlerFactory.ObjectSource`
  Parameters:
    `listener` - the listener which gets notified

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.